package com.greenorange.promotion.service.project;

import com.greenorange.promotion.model.dto.projectCommission.ProjectCommissionUniteUpdateRequest;
import com.greenorange.promotion.model.dto.projectCommission.ProjectCommissionUpdateRequest;
import com.greenorange.promotion.model.dto.subUserProjectCommission.SubUserProjectCommissionUpdateRequest;
import com.greenorange.promotion.model.entity.ProjectCommission;
import com.baomidou.mybatisplus.extension.service.IService;
import jakarta.servlet.http.HttpServletRequest;

/**
* @author 35880
* @description 针对表【project_commission(项目明细抽佣表)】的数据库操作Service
* @createDate 2025-05-09 18:42:17
*/
public interface ProjectCommissionService extends IService<ProjectCommission> {


    /**
     * 修改项目的抽佣比例
     */
    void updateProjectCommissionRate(ProjectCommissionUpdateRequest projectCommissionUpdateRequest);


    /**
     * 修改下级用户的项目明细抽佣比例
     */
    void updateSubUserProjectCommissionRate(SubUserProjectCommissionUpdateRequest subUserProjectCommissionUpdateRequest);


    /**
     * 小程序用户一键设置项目的的抽佣比例
     */
    void uniteProjectCommissionRate(ProjectCommissionUniteUpdateRequest projectCommissionUniteUpdateRequest, HttpServletRequest request);
}
